Skip to content

List all calls

Request

Retrieve a paginated list of calls.

Security
bearerAuth
Query
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger

How many results to display per page. Defaults to 25. Max 25.

Example:per_page=25
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/calls?page=1&per_page=25' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

String representing the object's type. Always has the value list.

Example:"list"
dataArray of objects(Call)

A list of calls.

total_countinteger

Total number of items available.

Example:0
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
{ "type": "list", "data": [], "total_count": 0, "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 0 } }